%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global git_checkout_ver 31b9e43
%global github schmir-qserve

Name:		python-qserve
Version:	0
Release:	0.1.git%{git_checkout_ver}%{?dist}
Summary:	Job queue server used in python-mwlib
Group:		Development/Tools
License:	BSD
URL:		http://github.com/schmir/qserve
Source0:	https://github.com/schmir/qserve/tarball/master/%{github}-%{git_checkout_ver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python-gevent

%description
qserve is used in python-mwlib. It's a job queue server 
written in python and it's missing documentation.

%prep
%setup -q -n %{github}-%{git_checkout_ver}

%build
%{__python} setup.py build 

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
# Remove shebangs
sed -i -e '/^#! \//, 1d' %{buildroot}%{python_sitelib}/qs/qserve.py
sed -i -e '/^#! \//, 1d' %{buildroot}%{python_sitelib}/qs/rpcserver.py
sed -i -e '/^#! \//, 1d' %{buildroot}%{python_sitelib}/qs/slave.py
sed -i -e '/^#! \//, 1d' %{buildroot}%{python_sitelib}/qs/jobs.py
sed -i -e '/^#! \//, 1d' %{buildroot}%{python_sitelib}/qs/proc.py

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/qs
%{python_sitelib}/qserve-0.0.1-py?.?.egg-info

%changelog
* Sun Jun 19 2011 Prabin Kumar Datta <prabindatta@fedoraproject.org> - 0-0.1.git31b9e43
- Initial build
